Skip to main content
GET
/
api
/
v2
/
webhook-events
List webhook event
curl --request GET \
  --url https://api.instantly.ai/api/v2/webhook-events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "019d9c5f-96f1-7a14-a0b1-6f65ed0c8ba4",
      "timestamp_created": "2026-04-17T16:56:43.505Z",
      "timestamp_created_date": "2024-01-15",
      "organization_id": "019d9c5f-96f1-7a14-a0b1-6f66ed7e5236",
      "success": true,
      "retry_count": 0,
      "will_retry": false,
      "webhook_url": "https://webhook.site/unique-url",
      "payload": {},
      "status_code": 200,
      "error_message": "Connection timeout",
      "timestamp_next_retry": "2026-04-17T16:56:43.505Z",
      "retry_group_id": "019d9c5f-96f1-7a14-a0b1-6f673e9dffa9",
      "retry_successful": true,
      "lead_email": "lead@example.com",
      "response_time_ms": 150
    }
  ],
  "next_starting_after": "019d9c5f-cd7f-757d-b14e-b7f78e7a893e"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The number of items to return

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.

Example:

"01956fbd-0eb1-72db-a565-82977a586084"

success
boolean

Filter by success status

Example:

true

from
string<date>

Inclusive start of the window (YYYY-MM-DD).

Example:

"2024-01-01"

to
string<date>

Inclusive end of the window (YYYY-MM-DD).

Example:

"2024-01-31"

Search by exact webhook URL or lead email match

Example:

"https://webhook.site/unique-url"

Response

The list of Webhook Event

items
Webhook Event · object[]
required

The list of Webhook Event

next_starting_after
string

The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API

Example:

"019d9c5f-cd7f-757d-b14e-b7f78e7a893e"